Package org.snpeff.stats.plot

# Class GoogleGenePercentBar

java.lang.Object
org.snpeff.stats.plot.GoogleGenePercentBar

public class GoogleGenePercentBar extends Object
A simple wrapper to goolge charts API (from charts4j)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`GoogleGenePercentBar(String title, String xAxisLabel, String yAxisLabel, double intergenic, double upstream, double utr5, double exon, double spliceSiteDonor, double intron, double spliceSiteAcceptor, double utr3, double downstream)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toURLString()`
Create a histogram plot using Google charts

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GoogleGenePercentBar

public GoogleGenePercentBar(String title, String xAxisLabel, String yAxisLabel, double intergenic, double upstream, double utr5, double exon, double spliceSiteDonor, double intron, double spliceSiteAcceptor, double utr3, double downstream)

## Method Details

### toURLString

public String toURLString()
Create a histogram plot using Google charts

Returns: